summaryrefslogtreecommitdiffstats
path: root/test/Attic/tkey
diff options
context:
space:
mode:
authorRichard Levitte <levitte@openssl.org>2015-04-21 21:10:01 +0200
committerRichard Levitte <levitte@openssl.org>2015-09-07 16:10:58 +0200
commit71a4f2832c3fe02d026af8241767ee80f440e876 (patch)
tree9c8ae80698b015f07ef6198b95ea02a6f6ddae08 /test/Attic/tkey
parentfd9ad2300b280c0f71d24456bfbf04579331bc94 (diff)
Remove old testing scripts out of the way.
For now, I'm moving them into Attic/. They will be removed later. Reviewed-by: Rich Salz <rsalz@openssl.org>
Diffstat (limited to 'test/Attic/tkey')
-rw-r--r--test/Attic/tkey73
1 files changed, 73 insertions, 0 deletions
diff --git a/test/Attic/tkey b/test/Attic/tkey
new file mode 100644
index 0000000000..47ac1be8fc
--- /dev/null
+++ b/test/Attic/tkey
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+t=$1
+ktype=$2
+ptype=$3
+
+if ../util/shlib_wrap.sh ../apps/openssl no-$ktype; then
+ echo skipping $ktype $ptype conversion test
+ exit 0
+fi
+
+if [ $ptype = "public" ]; then
+ cmd="../util/shlib_wrap.sh ../apps/openssl $ktype -pubin -pubout"
+else
+ cmd="../util/shlib_wrap.sh ../apps/openssl $ktype"
+fi
+
+echo testing $ktype $ptype conversions
+cp $t $ktype-fff.p
+
+echo "p -> d"
+$cmd -in $ktype-fff.p -inform p -outform d >$ktype-f.d || exit 1
+echo "p -> p"
+$cmd -in $ktype-fff.p -inform p -outform p >$ktype-f.p || exit 1
+
+echo "d -> d"
+$cmd -in $ktype-f.d -inform d -outform d >$ktype-ff.d1 || exit 1
+echo "p -> d"
+$cmd -in $ktype-f.p -inform p -outform d >$ktype-ff.d3 || exit 1
+
+echo "d -> p"
+$cmd -in $ktype-f.d -inform d -outform p >$ktype-ff.p1 || exit 1
+echo "p -> p"
+$cmd -in $ktype-f.p -inform p -outform p >$ktype-ff.p3 || exit 1
+
+cmp $ktype-fff.p $ktype-f.p || exit 1
+cmp $ktype-fff.p $ktype-ff.p1 || exit 1
+cmp $ktype-fff.p $ktype-ff.p3 || exit 1
+cmp $ktype-f.p $ktype-ff.p1 || exit 1
+cmp $ktype-f.p $ktype-ff.p3 || exit 1
+
+/bin/rm -f $ktype-f.* $ktype-ff.* $ktype-fff.*
+
+[ $ptype = "public" ] && exit 0
+
+
+echo testing $ktype PKCS#8 conversions
+cmd="../util/shlib_wrap.sh ../apps/openssl pkey"
+
+$cmd -in $t -out $ktype-fff.p
+
+echo "p -> d"
+$cmd -in $ktype-fff.p -inform p -outform d >$ktype-f.d || exit 1
+echo "p -> p"
+$cmd -in $ktype-fff.p -inform p -outform p >$ktype-f.p || exit 1
+
+echo "d -> d"
+$cmd -in $ktype-f.d -inform d -outform d >$ktype-ff.d1 || exit 1
+echo "p -> d"
+$cmd -in $ktype-f.p -inform p -outform d >$ktype-ff.d3 || exit 1
+
+echo "d -> p"
+$cmd -in $ktype-f.d -inform d -outform p >$ktype-ff.p1 || exit 1
+echo "p -> p"
+$cmd -in $ktype-f.p -inform p -outform p >$ktype-ff.p3 || exit 1
+
+cmp $ktype-fff.p $ktype-f.p || exit 1
+cmp $ktype-fff.p $ktype-ff.p1 || exit 1
+cmp $ktype-fff.p $ktype-ff.p3 || exit 1
+cmp $ktype-f.p $ktype-ff.p1 || exit 1
+cmp $ktype-f.p $ktype-ff.p3 || exit 1
+
+/bin/rm -f $ktype-f.* $ktype-ff.* $ktype-fff.*